DNI ELECTRÓNICO: Error instalando en Linux Mint 18.2 Xfce

Spanish Forum

Moderator: JCSenar

JuanLuisPL
Level 1
Level 1
Posts: 1
Joined: Sun Nov 05, 2017 8:01 am

DNI ELECTRÓNICO: Error instalando en Linux Mint 18.2 Xfce

Postby JuanLuisPL » Sun Nov 05, 2017 8:30 am

Hola a todos, lo primero muchas gracias por el Tutorial, lo he seguido al pie de la letra, pero a no hay manera de hacer funcionar mi DNIe.

El problema que me sale siempre es en el proceso de instalación de el módulo criptográfico PKCS#11. Me descargo el archivo .deb para mi Linux Mint 18.2 Xfce y lo ejecuto, pero al final termina el proceso y me sale el siguiente error (imagen adjunta):

dpkg: error al procesar el paquete libpkcs11-dnie (--install):
el subproceso instalado el script post-installation devolvió el código de salida de error 128

Después en firefox aparentemente todo está correcto, pero al intentar entrar a probar el DNIe en el enlace que sugerís (seguridad social p.ej) me pide la contraseña y aunque es correcta (en configuración la coge sin problemas) aquí le das ok y vuelve a pedirtela una y otra vez y no permite acceder a los servicios con certificado.

Por favor, si alguien le ha pasado o sabe como solucionarlo estaría muy agradecido de cualquier ayuda.

Saludos
Last edited by JCSenar on Sun Nov 05, 2017 9:01 am, edited 1 time in total.
Reason: Añadido enlace

User avatar
JCSenar
Level 8
Level 8
Posts: 2224
Joined: Sat Sep 06, 2014 6:26 pm
Location: Irun, España
Contact:

Re: DNI ELECTRÓNICO: Error instalando en Linux Mint 18.2 Xfce

Postby JCSenar » Sun Nov 05, 2017 9:04 am

Hola JuanLuisPL: ¡Bienvenido al foro! :D

JuanLuisPL wrote:El problema que me sale siempre es en el proceso de instalación de el módulo criptográfico PKCS#11. Me descargo el archivo .deb para mi Linux Mint 18.2 Xfce y lo ejecuto, pero al final termina el proceso y me sale el siguiente error (imagen adjunta):

Voy a probarlo pero necesito que compruebes que el archivo .deb que has descargado es el adecuado. Según se ve en la imagen, es de 32bits (i386). ¿Tu sistema LM 18.2 Xfce también lo es?
Image
Si tu consulta ha sido resuelta, por favor, edita tu primer mensaje y añade [SOLUCIONADO] al título. Gracias.

User avatar
JCSenar
Level 8
Level 8
Posts: 2224
Joined: Sat Sep 06, 2014 6:26 pm
Location: Irun, España
Contact:

Re: DNI ELECTRÓNICO: Error instalando en Linux Mint 18.2 Xfce

Postby JCSenar » Sun Nov 05, 2017 11:05 am

JuanLuisPL wrote:El problema que me sale siempre es en el proceso de instalación de el módulo criptográfico PKCS#11. Me descargo el archivo .deb para mi Linux Mint 18.2 Xfce y lo ejecuto, pero al final termina el proceso y me sale el siguiente error (imagen adjunta):

Pues lo he probado en Linux Mint 18.2 Xfce 32 bits y, aunque me ha salido el mismo error (está bien saber que esto puede pasar), luego me ha funcionado normalmente para entrar en la Seguridad Social. :shock:

¿Seguro que no estás confundiendo la contraseña de root con el PIN del DNIe?

Pantallazo-1.png

Porque si pones algo que no sea el PIN, te lo pide una y otra vez....

También he notado que la primera instancia de Firefox (con las instrucciones) no se me ha abierto en modo Superusuario :shock:
Image
Si tu consulta ha sido resuelta, por favor, edita tu primer mensaje y añade [SOLUCIONADO] al título. Gracias.

User avatar
tomeu
Level 3
Level 3
Posts: 175
Joined: Wed Mar 29, 2017 12:03 pm

Re: DNI ELECTRÓNICO: Error instalando en Linux Mint 18.2 Xfce

Postby tomeu » Mon Nov 06, 2017 5:05 am

JCSenar wrote:También he notado que la primera instancia de Firefox (con las instrucciones) no se me ha abierto en modo Superusuario :shock:

Del tutorial:
JCSenar wrote:11.- Automáticamente se nos abre una ventana del navegador Firefox en modo superusuario (no siempre :shock: ) con las instrucciones que debemos seguir divididas en dos partes. Vamos con la primera: Abrimos una nueva ventana de Firefox (en modo normal):

Image

@JCSenar: tu mismo dices, aunque te asombras, que no siempre se abre la ventana de root de firefox.
Yo creo que eso (no abrirse la ventana de root) sucede cuando ya sea por usar una copia de un perfil antiguo ya sea porque hemos intentado algún otro método que no ha llegado a funcionar del todo, ya tenemos instalado/s en el perfil el/los certificado/s del DNIe.
Si intentamos instalar un certificado en firefox, y ya lo teníamos, el navegador nos dice que ya está instalado, y ni tan siquiera lo sobreescribe (como sí hace I.Explorer en windows), y si se diera el caso de que se trata de un certificado corrupto o mal instalado, o simplemente lo queremos instalar de nuevo, hay que borrar antes el anterior.
En mi desconocimiento generalizado de esos intringulis me temo que la apertura de la pantalla de FF en root es parte del programa de instalación automatizada del certificado, por tanto, si al instalar el *.deb del DNIe su instalador ve que el certificado ya está en el perfil ese paso no se da.
Linux Mint Sylvia 18.3 64bits Cinnamon 3.6.6

User avatar
JCSenar
Level 8
Level 8
Posts: 2224
Joined: Sat Sep 06, 2014 6:26 pm
Location: Irun, España
Contact:

Re: DNI ELECTRÓNICO: Error instalando en Linux Mint 18.2 Xfce

Postby JCSenar » Mon Nov 06, 2017 9:07 am

tomeu wrote:@JCSenar: tu mismo dices, aunque te asombras, que no siempre se abre la ventana de root de firefox.

Je, je. Veo que estás atento en clase, tomeu. Eso está bien... :lol:

Lo que pasa es que ayer mismo modifiqué el tutorial añadiendo la frase "(no siempre :shock: )" en base a la experiencia de este mismo tema. :D . Ahora lo he vuelto a modificar dejándolo así: "(aunque no siempre es así :shock: )", enlazando con mi comentario anterior.

Porque, después de instalar muchas veces el DNIe, es la primera vez que la primera instancia de Firefox no se abre como superusuario. De ahí mi sorpresa. Tendrá algo que ver con el sistema o el paquete de 32bits, igual que el hecho de que parece que no se instale correctamente (aunque luego, a mí, sí me funcione perfectamente).

tomeu wrote:Yo creo que eso (no abrirse la ventana de root) sucede cuando ya sea por usar una copia de un perfil antiguo ya sea porque hemos intentado algún otro método que no ha llegado a funcionar del todo, ya tenemos instalado/s en el perfil el/los certificado/s del DNIe.

Pues tengo que decir que no había un perfil o certificado previos. Lo probé en una instalación limpia de LM 18.2 Xfce 32bit. Instalación, actualización e instalación del DNIe; sin más :? .

Pero bueno, quedamos a la espera de lo que diga JuanLuisPL...
Image
Si tu consulta ha sido resuelta, por favor, edita tu primer mensaje y añade [SOLUCIONADO] al título. Gracias.

User avatar
tomeu
Level 3
Level 3
Posts: 175
Joined: Wed Mar 29, 2017 12:03 pm

Re: DNI ELECTRÓNICO: Error instalando en Linux Mint 18.2 Xfce

Postby tomeu » Tue Nov 07, 2017 4:11 am

JCSenar wrote:Porque, después de instalar muchas veces el DNIe, es la primera vez que la primera instancia de Firefox no se abre como superusuario. De ahí mi sorpresa. Tendrá algo que ver con el sistema o el paquete de 32bits, igual que el hecho de que parece que no se instale correctamente (aunque luego, a mí, sí me funcione perfectamente).

Pues tengo que decir que no había un perfil o certificado previos. Lo probé en una instalación limpia de LM 18.2 Xfce 32bit. Instalación, actualización e instalación del DNIe; sin más :? .

Podría ser el paquete *.deb i386, pero parece poco probable. Más bien podría ser que se haya hecho la instalación teniendo Firefox en marcha (incluso abierto en segundo plano o mal cerrado), en tal caso no se debería abrir la ventana de root del firefox, o incluso si se ha puesto otro navegador como predeterminado, pues me parece que tampoco se abriría la ventana de root de firefox.
Linux Mint Sylvia 18.3 64bits Cinnamon 3.6.6

User avatar
JCSenar
Level 8
Level 8
Posts: 2224
Joined: Sat Sep 06, 2014 6:26 pm
Location: Irun, España
Contact:

Re: DNI ELECTRÓNICO: Error instalando en Linux Mint 18.2 Xfce

Postby JCSenar » Tue Nov 07, 2017 8:24 am

tomeu wrote:Más bien podría ser que se haya hecho la instalación teniendo Firefox en marcha (incluso abierto en segundo plano o mal cerrado), en tal caso no se debería abrir la ventana de root del firefox,

Hasta ahora, en todas las pruebas que había hecho (siempre en sistemas de 64bit, eso es verdad), con Firefox como único navegador y aunque estuviera abierto, el instalador se ha encargado siempre de cerrar Firefox y abrir una nueva instancia como Superusuario con las instrucciones. En principio, es irrelevante tenerlo abierto o cerrado de antemano. Tengo que probar otra vez en un sistema de 32bit, tal vez con otro escritorio a ver qué pasa.

JCSenar wrote:Voy a probarlo pero necesito que compruebes que el archivo .deb que has descargado es el adecuado. Según se ve en la imagen, es de 32bits (i386). ¿Tu sistema LM 18.2 Xfce también lo es?

Me respondo a mí mismo. En un sistema de 64bit, el paquete .deb de 32bit no acaba de instalarse. Falla la carga del módulo libpkcs11-dnie.so. Así que si has conseguido instalarlo, JuanLuisPL, es porque tu sistema es de 32bit. Queda que respondas a si introduces el PIN del DNIe o la contraseña de root.
Image
Si tu consulta ha sido resuelta, por favor, edita tu primer mensaje y añade [SOLUCIONADO] al título. Gracias.


Return to “Español (Spanish)”